import { Selector, createSelector } from '@ngrx/store';

// tslint:disable-next-line: no-empty-interface
export interface State {
  zoom: number;
}

export const initialState: State = {
  zoom: 100
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    selectZoom: createSelector(selector, (state: State) => state.zoom)
  };
}
